#!/usr/bin/env python
#
# Time-stamp: <01/11/03 05:58:10 dhellmann>
#
"""

Permission to use, copy, modify, and distribute this software and
its documentation for any purpose and without fee is hereby
granted, provided that the above copyright notice appear in all
copies and that both that copyright notice and this permission
notice appear in supporting documentation, and that the name of Doug
Hellmann not be used in advertising or publicity pertaining to
distribution of the software without specific, written prior
permission.

DOUG HELLMANN DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN
NO EVENT SHALL DOUG HELLMANN BE LIABLE FOR ANY SPECIAL, INDIRECT OR
CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.


DESCRIPTION:

    Windows-enabled main program for the Python Whacky Chat app.

CHANGE HISTORY:

$Log: wcc_client.pyw,v $
Revision 1.2  2001/11/03 11:05:22  doughellmann
updated author email

Revision 1.1  2001/04/01 15:57:21  doughellmann
Added new sample apps

Revision 1.1  1999/09/30 16:10:30  hellmann
Created a new windows-enabled version of the main program.

"""

#
#  Creation Information
#
__rcs_module_name__ = '$RCSfile: wcc_client.pyw,v $'
__creator__         = 'Doug Hellmann <doug@hellfly.net>'
__project__         = 'Open Source'
__created__         = 'Thu, 30-Sep-1999 12:13:09 EDT'

#
#  Current Information
#
__author__          = '$Author: doughellmann $'
__version__         = '$Revision: 1.2 $'
__date__            = '$Date: 2001/11/03 11:05:22 $'
__locker__          = '$Locker:  $'

#
# Import system modules
#


#
# Import Local modules
#


#
# Module
#
from wcc_client import Hermes

if __name__ == '__main__':
    Hermes().run()
    
