#
# draw_lines.py
#

import fb

def draw_lines(f, list):
    for i in range(len(list)-1):
        a, b = list[i]
        c, d = list[i+1]
        f.line(a, b, c, d)
        
def main():
    f = fb.FrameBuffer()
    f.open(300, 300, 'Paint Brush')
    finished = 0
    list = [ ]
    
    while not finished:
        event = f.event()

        if event[0] == 'mouse':
            list.append((event[2], event[3]))
            f.plot(event[2], event[3])
            if event[1] == 2:
                draw_lines(f, list)
            f.flip()
        elif event[0] == 'quit':
            f.close()
            finished = 1

if __name__ == '__main__':
    main()
            
