#!/usr/bin/env python
# (C) 2000 Huaiyu Zhu <hzhu@users.sourceforge.net>.  Licence: GPL
# $Id: test_scalar.py,v 1.3 2000/09/13 01:52:36 hzhu Exp $
"""
Test basic operations for Scalar module
"""

from MatPy.Matrix import *

a = Matrix(2.)
A = rand((2,3))

print a
print A

print A.__tadd__(a)
print a.__tadd__(A)


print "-"*40
from MatPy.Scalar import *

nums = [1, 2., -3, -3.0, Scalar(1), Scalar(2.0), Scalar(1j), Scalar(1.j)]

for i in nums:
	for j in nums:		print "%7s" % `i*j`,
	print

print Scalar(3)*Scalar(0.99) < Scalar(1) + Scalar(2) \
	  == Scalar(3.) < Scalar(3) + 1e-12
