#!/usr/bin/env python
# (C) 2000 Gregory Lielens <gregory.lielens@fft.be> 
#          Huaiyu Zhu <hzhu@users.sourceforge.net>
# Licence: GPL
# $Id: test_xor.py,v 1.1 2000/09/18 06:23:31 hzhu Exp $
# Test  operator xor

a=1
b=0
assert (a xor b) == 1

# testing truth values
assert (0 xor 0) == 0
assert (0 xor 1) == 1
assert (1 xor 0) == 1
assert (1 xor 1) == 0

a = 'a'
b = 'b'
# testing short cut
assert ("" xor "") == "" 
assert ("" xor []) == "" 
assert ([] xor "") == [] 
assert ([] xor []) == [] 

assert (a  xor "") == a
assert (a  xor []) == a
assert ("" xor a ) == a
assert ([] xor a ) == a

assert (a  xor b ) == 0
assert (b  xor a ) == 0

# test other null elements
assert (None xor None) == None
assert ({} xor {}) == {}
assert (0 xor 0) == 0

print "test_xor.py passed"
