#!/usr/bin/python
# Simple test file for the PyMat interface

import pymat
from Numeric import *
x = array([1, 2, 3, 4, 5, 6])
H = pymat.open()
pymat.put(H, 'x', x)
pymat.eval(H, 'y = sin(x)')
pymat.eval(H, 'plot(x,y)')
y = pymat.get(H, 'y')
import time; time.sleep(5)  # let matlab get some time to plot...
pymat.close(H)
print 'y from matlab:', y
  
# check result:
y2 = sin(x)
if allclose(y[:,0], y2, atol=1.0E-10, rtol=1.0E-12):
  print 'Matlab and Numeric compute similar results'
else:
  err = sum(y[:,0]-y2)
  print 'Matlab and Numeric results deviate:', err
