#!/usr/bin/env python

# My simple program to play mp3 files. It is made up of
# this file and classgui.py.
#
# It starts simple and may grow up.
# Most of the programs for playing MP3's I have seen do not handle
# classical music very well.  The trouble is that they
# are more than happy to play a ramdom selection of tracks.
# With classical music I want to play ablum in ramdom
# order but with the tracks in each album played in track order.

# This program is basically a wrapper for mpg123 and at this point
# I have only run it on Linux. It is based on cplay.  I want to use
# PAGE rather than curses.

# There are a number of ways the program could evolve.  However,
# I want to put this on the site as a real working example before
# I expand it.


import sys
import os
import os.path
import random
import time
import thread
import classgui

# For starters, I will look at only one directory of albums.

home = os.environ['HOME']
dir = home + '/mp3/cdrip' # where my mp3's are stored.


# This is not used as yet.
#for MIXER in ["/dev/sound/mixer", "/dev/mixer"]:
#    if os.path.exists(MIXER): break

def read_albums():
    ''' Read list of albums. '''
    global albums
    albums = os.listdir(dir)

def pick_album():
    global pick
    no = len(albums)
    pick = random.randrange(len(albums))
    # Put album nameinto gui.
    classgui.set_label(albums[pick])

def get_track_list():
    global tracks
    # Just does an 'ls -rt' to get tracks in order.
    cmd = 'ls -rt %s/%s/*.mp3' % (dir,albums[pick])
    tracks = []
    tracks = os.popen(cmd).readlines()
    for i in range(len(tracks)):
        tracks[i] = tracks[i].strip()
    # Put the list into the gui.
    classgui.load_listbox(tracks)

def play_tracks():
    index = 0
    old_index = 0
    for i in tracks:
        # Highlight track in gui.
        classgui.highlight_selection(index)
        if index != old_index:
            classgui.deselect(old_index)
        old_index = index
        t = i.split('/')
        cmd = 'mpg123 -q -v -g 70 %s' % tracks[index]
        os.system(cmd)
        index += 1
        # See if any of the GUI buttons have been pushed.
        # Their actions are implemented here.
        if classgui.stop == 1:
            # This is how I quit.
            sys.exit()
        if classgui.new_disk == 1:
            # This is how I go to new disk.
            classgui.new_disk = 0
            return
        if classgui.repeat == 1:
            classgui.repeat = 0
            index -= 1
        if classgui.next_track == 1:
            classgui.next_track = 0
            index += 1
        if classgui.previous_track == 1:
            classgui.previous_track = 0
            if index > 1:
                index -= 2
            else:
                index -= 1


def main():
    random.seed()
    t = 1
    while t:
        read_albums()
        pick_album()
        get_track_list()
        if tracks == []:
            continue
        play_tracks()
        #t = 0

def start():
    # Shenanigans to start the gui which will call main()
    classgui.vp_start_gui()

if __name__ == "__main__":
    start()
