#############################################################################
# Visual Tcl v1.22 Project
#

#################################
# GLOBAL VARIABLES
#
global .top17.tix28;
global .top17.tix28.border.frame.tix29;
global .top17.tix28.border.frame.tix30;
global .top17.tix29;
global .top17.tix30;
global .top17.tix31;
global .top17.tix32;
global .top17.tix32.shell.slistbox;
global .top17.tix33;
global .top17.tix34;
global .top17.tix34.nbframe.page4.tix30;
global .top17.tix34.nbframe.page4.tix30.border.frame.tix31;
global .top17.tix35;
global .top17.tix36;
global Bodini Book;
global Courier;
global Times Roman;
global che20;
global che21;
global selectedButton;
global self.hello;
global self.tootsie;
global self.vu_file;
global widget;
    set widget(list_x) {.top17.tix29.listbox}
    set widget(rev,.top17.tix29.listbox) {list_x}

proc append_python_attributes {str} {
    global vTcl
    if {[info exists vTcl(special_attributes)] == 1} {
        if {[lsearch $vTcl(special_attributes) $str] != -1} {
            return
        }
     }
    lappend vTcl(special_attributes) $str
}

set vTcl(w,opt,-loadcommand,.top17.lis17) "load_listbox(self.lis17)"
append_python_attributes "vTcl(w,opt,-loadcommand,.top17.lis17)"
set vTcl(w,opt,-bindcommand,.top17.lis17) "self.list_handler"
append_python_attributes "vTcl(w,opt,-bindcommand,.top17.lis17)"
set vTcl(w,opt,-loadcommand,.top17.lis19) "load_listbox(self.lis19)"
append_python_attributes "vTcl(w,opt,-loadcommand,.top17.lis19)"
set vTcl(w,opt,-bindcommand,.top17.lis19) "self.list_handler"
append_python_attributes "vTcl(w,opt,-bindcommand,.top17.lis19)"
set vTcl(w,opt,-bindcommand,.top17.tix29.listbox) "self.list_handler_2"
append_python_attributes "vTcl(w,opt,-bindcommand,.top17.tix29.listbox)"
set vTcl(w,opt,-loadcommand,.top17.tix29.listbox) "load_listbox(%me)"
append_python_attributes "vTcl(w,opt,-loadcommand,.top17.tix29.listbox)"
set vTcl(w,opt,-loadcommand,.top17.tix32) "load_listbox(self.tix32)"
append_python_attributes "vTcl(w,opt,-loadcommand,.top17.tix32)"
set vTcl(w,opt,-loadcommand,.top17.tix33) "load_tree(%me)"
append_python_attributes "vTcl(w,opt,-loadcommand,.top17.tix33)"
set vTcl(w,opt,-loadcommand,.top17.tix35) "load_scrolled_text(%me)"
append_python_attributes "vTcl(w,opt,-loadcommand,.top17.tix35)"
set vTcl(w,opt,-loadcommand,.top17.tex17) "load_scrolled_text(%me)"
append_python_attributes "vTcl(w,opt,-loadcommand,.top17.tex17)"
set vTcl(w,opt,-eventcommand,.top17.sca17) "lambda: x()"
append_python_attributes "vTcl(w,opt,-eventcommand,.top17.sca17)"

set vTcl(balloon_messages_present) 1
set vTcl(.top17.tix29.listbox,balloon_msg) "An example of balloon help message."
set vTcl(.top17.men29,balloon_msg) "Select the environemt that you wish to use."

#################################
# USER DEFINED PROCEDURES
#

proc {append_python_attributes} {str} {
global vTcl
    if {[info exists vTcl(special_attributes)] == 1} {
        if {[lsearch $vTcl(special_attributes) $str] != -1} {
            return
        }
     }
    lappend vTcl(special_attributes) $str
}

proc {greeting} {} {
def greeting(str):
    import Dialog
    Dialog.Dialog(title="greetings",
                text=str,
                bitmap="",default=0,strings=("cont",))
}

proc {load_listbox} {} {
def load_listbox(o):
    for i in range(50):
        o.insert(END, i)
}

proc {load_scrolled_text} {} {
def load_scrolled_text(o):
    o.insert(END, "\n1. This is a long bit of text that I want to put inside" + " this text box.")
    o.insert(END, "\n2. This is a long bit of text that I want to put inside" + " this text box.")
    o.insert(END, "\n3. This is a long bit of text that I want to put inside" + " this text box.")
    o.insert(END, "\n4. This is a long bit of text that I want to put inside" + " this text box.")
    o.insert(END, "\n5. This is a long bit of text that I want to put inside" + " this text box.")
    o.insert(END, "\n6. This is a long bit of text that I want to put inside" + " this text box.")
    o.insert(END, "\n7. This is a long bit of text that I want to put inside" + " this text box.")
    o.insert(END, "\n8. This is a long bit of text that I want to put inside" + " this text box.")
    o.insert(END, "\n9. This is a long bit of text that I want to put inside" + " this text box.")
    o.insert(END, "\n0. This is a long bit of text that I want to put inside" + " this text box.")
}

proc {load_tree} {} {
def load_tree(o):
    o.configure(separator="/")
    o.add("/",text="/")
    o.add("/home",text="home")
    o.add("/home/ioi",text="ioi")
    o.add("/home/foo",text="foo")
    o.add("/usr",text="usr")
    o.add("/usr/lib",text="lib")
    o.add("/home/rozen", text="rozen")
    o.add("/home/rozen/pkg", text="pkg")
    o.add("/home/rozen/pkg/PyTix", text="PyTix")
    o.add("/home/rozen/vp", text="vp")
    o.add("/home/rozen/vp/lib", text='lib')
    o.add("/usr/bin", text='bin')
    o.add("/usr/man", text='man')
}

proc {open_file} {} {
def open_file():
    import tkFileDialog
    tkFileDialog.askopenfilename(filetypes=[("all files", "*")])
}

proc {quit} {} {
def quit():
    root.destroy()
}

proc {quit_a} {} {
def quit_a(event):
       print 'quit_a: ' + event.type
       quit()
}

proc {run_demo} {} {
def run_demo():
    import time
    for i in range(20):
        x = (5.0 * (i+1)) /100
        print "str(x) =", str(x)
        w.tix34_nbframe_page4_tix30_border_frame_tix31.configure(value=str(x))
        w.tix34.update_idletasks()
        time.sleep(.3)
}

proc {self.list_handler} {} {
def list_handler(self, x):
      index = self.tix29_listbox.curselection()
      greeting(index)
}

proc {self.list_handler_2} {} {
def list_handler_2(self, x):
      index = self.list_x.curselection()
      greeting(index)
}

proc {tree_browse} {} {
def tree_browse(x):
    greeting(str(x))
}

proc {vp_start_gui} {} {
def vp_start_gui():
    global w
    root.title('New_Toplevel_1')
    root.geometry('934x797+114+219')
    w = New_Toplevel_1 (root)
    init()
    root.mainloop()
}

proc {main} {argc argv} {

}

proc {Window} {args} {
global vTcl
    set cmd [lindex $args 0]
    set name [lindex $args 1]
    set newname [lindex $args 2]
    set rest [lrange $args 3 end]
    if {$name == "" || $cmd == ""} {return}
    if {$newname == ""} {
        set newname $name
    }
    set exists [winfo exists $newname]
    switch $cmd {
        show {
            if {$exists == "1" && $name != "."} {wm deiconify $name; return}
            if {[info procs vTclWindow(pre)$name] != ""} {
                eval "vTclWindow(pre)$name $newname $rest"
            }
            if {[info procs vTclWindow$name] != ""} {
                eval "vTclWindow$name $newname $rest"
            }
            if {[info procs vTclWindow(post)$name] != ""} {
                eval "vTclWindow(post)$name $newname $rest"
            }
        }
        hide    { if $exists {wm withdraw $newname; return} }
        iconify { if $exists {wm iconify $newname; return} }
        destroy { if $exists {destroy $newname; return} }
    }
}

proc init {argc argv} {
def init():
    pass
}

#################################
# VTCL GENERATED GUI PROCEDURES
#

proc vTclWindow. {base {container 0}} {
    if {$base == ""} {
        set base .
    }
    ###################
    # CREATING WIDGETS
    ###################
    if {!$container} {
    wm focusmodel $base passive
    wm geometry $base 1x1+0+0
    wm maxsize $base 1265 994
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm withdraw $base
    wm title $base "vt.tcl"
    }
    ###################
    # SETTING GEOMETRY
    ###################
}

proc vTclWindow.top17 {base {container 0}} {
    if {$base == ""} {
        set base .top17
    }
    if {[winfo exists $base] && (!$container)} {
        wm deiconify $base; return
    }
    ###################
    # CREATING WIDGETS
    ###################
    if {!$container} {
    toplevel $base -class Toplevel \
        -background wheat -highlightbackground ivory -menu "$base.m28"
    wm focusmodel $base passive
    wm geometry $base 934x736+85+24
    wm maxsize $base 1265 994
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm deiconify $base
    wm title $base "New_Toplevel_1"
    }
    menubutton $base.men18 \
        -activebackground black -activeforeground ivory -background wheat \
        -borderwidth 0 -disabledforeground #808080 -font {helvetica 14 bold} \
        -foreground black -highlightbackground ivory -menu "$base.men18.m" \
        -padx 4 -pady 3 -text File -underline 0
    menu $base.men18.m \
        -activebackground black -activeforeground ivory -background wheat \
        -cursor {} -disabledforeground #808080 -font {helvetica 14 bold} \
        -foreground black -selectcolor ivory
    $base.men18.m add command \
        -command open_file -label Open
    $base.men18.m add command \
        -command {lambda :greeting("close")} -label Close
    $base.men18.m add separator
    $base.men18.m add command \
        -command quit -label Exit
    menubutton $base.men17 \
        -activebackground black -activeforeground ivory -background wheat \
        -borderwidth 0 -disabledforeground #808080 -font {helvetica 14 bold} \
        -foreground black -highlightbackground ivory -menu "$base.men17.m" \
        -padx 4 -pady 3 -text Edit
    menu $base.men17.m \
        -activebackground black -activeforeground ivory -background wheat \
        -cursor {} -disabledforeground #808080 -font {helvetica 14 bold} \
        -foreground black -selectcolor ivory
    $base.men17.m add command \
        -command lambda:greeting(\"Cut\") -label Cut
    $base.men17.m add command \
        -command {lambda :greeting("Paste")} -label Paste
    $base.men17.m add command \
        -command {lambda : greeting("Copy")} -label Copy
    $base.men17.m add separator
    $base.men17.m add cascade \
        -menu "$base.men17.m.men18" -label Advanced
    $base.men17.m add command \
        -command {lambda : greeting("Delete")} -label Delete
    menu $base.men17.m.men18 \
        -activebackground black -activeforeground ivory -background wheat \
        -disabledforeground #808080 -font {helvetica 14 bold} \
        -foreground black -selectcolor ivory
    $base.men17.m.men18 add command \
        -command {lambda :greeting("ToUpper")} -label ToUpper
    $base.men17.m.men18 add command \
        -command {lambda : greeting("ToLower")} -label ToLower
    frame $base.fra17 \
        -background green -borderwidth 2 -height 75 \
        -highlightbackground ivory -relief groove -width 125
    button $base.fra17.but18 \
        -activebackground black -activeforeground ivory -background red \
        -command quit -disabledforeground #808080 -font {helvetica 14 bold} \
        -foreground black -highlightbackground ivory -padx 9 -pady 3 \
        -text Quit
    label $base.lab17 \
        -activebackground black -activeforeground #f4ddb2 -background wheat \
        -borderwidth 1 -font {helvetica 14 bold} -foreground black \
        -highlightbackground ivory -relief raised -text {Don's Demo}
    text $base.tex17 \
        -background Wheat -font {helvetica 14 bold} -foreground black \
        -height 8 -highlightbackground ivory -highlightthickness 2 \
        -insertbackground black -selectbackground black \
        -selectforeground ivory -width 20
    entry $base.ent17 \
        -background plum -font {helvetica 14 bold} -foreground black \
        -highlightbackground ivory -highlightthickness 2 \
        -insertbackground black -selectbackground black \
        -selectforeground ivory -textvariable self.hello -width 35
    bind $base.ent17 q {
        lambda e: greeting('q')
    }
    frame $base.fra19 \
        -background wheat -borderwidth 4 -height 115 \
        -highlightbackground ivory -relief groove -width 125
    radiobutton $base.fra19.rad20 \
        -activebackground black -activeforeground ivory -background wheat \
        -command {lambda : greeting("Radio 2 ")} -font {helvetica 14 bold} \
        -foreground black -highlightbackground ivory -selectcolor red \
        -text {radio 1}
    radiobutton $base.fra19.rad22 \
        -activebackground black -activeforeground ivory -background wheat \
        -command {lambda : greeting("Radio 2 ")} -font {helvetica 14 bold} \
        -foreground black -highlightbackground ivory -selectcolor red \
        -text {radio 2} -value 2
    label $base.fra19.lab19 \
        -activebackground black -activeforeground #f4ddb2 -background wheat \
        -borderwidth 1 -font {helvetica 14 bold} -foreground black \
        -highlightbackground ivory -text {Radio Buttons}
    frame $base.fra18 \
        -background wheat -borderwidth 4 -height 110 \
        -highlightbackground ivory -relief groove -width 125
    checkbutton $base.fra18.che20 \
        -activebackground black -activeforeground ivory -background wheat \
        -command {lambda :greeting("Check Button 1")} \
        -font {helvetica 14 bold} -foreground black \
        -highlightbackground ivory -selectcolor blue -text {check 1} \
        -variable che20
    checkbutton $base.fra18.che21 \
        -activebackground black -activeforeground ivory -background wheat \
        -command {lambda :greeting("Check Button 2")} \
        -font {helvetica 14 bold} -foreground black \
        -highlightbackground ivory -selectcolor blue -text {check 2} \
        -variable che21
    label $base.fra18.lab22 \
        -activebackground black -activeforeground #f4ddb2 -background wheat \
        -borderwidth 1 -font {helvetica 14 bold} -foreground black \
        -highlightbackground ivory -text {Check Buttons}
    listbox $base.lis17 \
        -background wheat -font {helvetica 14 bold} -foreground black \
        -highlightbackground ivory -highlightthickness 2 -relief raised \
        -selectbackground black -selectforeground ivory
    bind $base.lis17 <Button-3> {
        lambda e: quit_a(e)
    }
    scale $base.sca17 \
        -activebackground black -background Wheat -font {helvetica 18} \
        -foreground #000000 -highlightbackground ivory -length 271 \
        -orient horizontal -tickinterval 10.0 -variable self.tootsie
    tixLabelFrame $base.tix28 \
        -label {Outside Frame} -background red -borderwidth 2 \
        -highlightbackground #d9d9d9 -highlightcolor Black
    .top17.tix28.border.frame configure  \
        -background blue -height 200 -highlightbackground ivory -width 150
    .top17.tix28.label configure  \
        -activebackground black -activeforeground #f4ddb2 -background green \
        -borderwidth 0 -font {helvetica 18} -foreground #000000 \
        -highlightbackground ivory -relief sunken -text {Outside Frame}
    tixLabelFrame $base.tix28.border.frame.tix29 \
        -label {Frame A} -background wheat -borderwidth 2 \
        -highlightbackground #d9d9d9 -highlightcolor Black
    .top17.tix28.border.frame.tix29.border.frame configure  \
        -background wheat -height 30 -highlightbackground ivory -width 30
    .top17.tix28.border.frame.tix29.label configure  \
        -activebackground black -activeforeground #f4ddb2 -background wheat \
        -borderwidth 0 -font {helvetica 18} -foreground #000000 \
        -highlightbackground ivory -text {Frame A}
    place $base.tix28.border.frame.tix29 \
        -x 10 -y 125 -anchor nw -bordermode ignore
    tixLabelFrame $base.tix28.border.frame.tix30 \
        -label {Frame B} -background wheat -borderwidth 2 \
        -highlightbackground #d9d9d9 -highlightcolor Black
    .top17.tix28.border.frame.tix30.border.frame configure  \
        -background wheat -height 44 -highlightbackground ivory -width 105
    .top17.tix28.border.frame.tix30.label configure  \
        -activebackground black -activeforeground #f4ddb2 -background wheat \
        -borderwidth 0 -font {helvetica 18} -foreground #000000 \
        -highlightbackground ivory -text {Frame B}
    button $base.tix28.border.frame.tix30.border.frame.but29 \
        -background pink -command quit -disabledforeground #808080 \
        -font {helvetica 18} -foreground #000000 -highlightbackground ivory \
        -padx 9 -pady 3 -text exit
    place $base.tix28.border.frame.tix30.border.frame.but29 \
        -x 5 -y 0 -anchor nw -bordermode ignore
    place $base.tix28.border.frame.tix30 \
        -x 20 -y 25 -anchor nw -bordermode ignore
    tixScrolledListBox $base.tix29 \
        -scrollbar auto -background wheat -borderwidth 1 \
        -highlightbackground #d9d9d9 -highlightcolor Black
    bind $base.tix29 <FocusIn> {
        focus .top17.tix29.listbox
    }
        set listbox [.top17.tix29 subwidget listbox]
        $listbox configure  \
        -background #08db24 -font {helvetica 18} -highlightbackground ivory \
        -highlightthickness 2 -selectbackground #800000 \
        -selectforeground #ffffff -takefocus 1 \
        -xscrollcommand {tixScrolledListBox:XView .top17.tix29} \
        -yscrollcommand {tixScrolledListBox:YView .top17.tix29}
    label $base.lab30 \
        -activebackground black -activeforeground #f4ddb2 -background wheat \
        -borderwidth 1 -font {helvetica 18} -foreground #000000 \
        -highlightbackground ivory -relief raised -text TixScrolledListBox \
        -width 17
    tixOptionMenu $base.tix31 \
        -value opt1 -label {OptionMenu: } -background wheat \
        -highlightbackground #d9d9d9 -highlightcolor Black
    $base.tix31 add command opt1 \
        -label {Option 1}
    $base.tix31 add command sep \
        -label {Option 2}
    $base.tix31 add separator opt2
    tixLabelEntry $base.tix30 \
        -disabledforeground #a3a3a3 -label LabelEntry: -background wheat \
        -highlightbackground #d9d9d9 -highlightcolor Black
    .top17.tix30.label configure  \
        -activebackground black -activeforeground #f4ddb2 -anchor w \
        -background wheat -borderwidth 0 -font {Helvetica -18 bold} \
        -foreground #000000 -highlightbackground ivory -text LabelEntry:
    .top17.tix30.frame.entry configure  \
        -background wheat -font {helvetica 18} -highlightbackground ivory \
        -highlightthickness 2 -selectbackground #800000 \
        -selectforeground #ffffff -textvariable self.vu_file -width 5
    tixComboBox $base.tix32 \
        -disabledforeground #a3a3a3 -dropdown 1 -editable 0 -fancy 0 \
        -history 0 -prunehistory 1 -background wheat \
        -highlightbackground #d9d9d9 -highlightcolor Black
    tixTree $base.tix33 \
        -browsecmd {lambda entry=None: tree_browse(entry)} -ignoreinvoke 0 \
        -highlightbackground ivory -scrollbar auto -background wheat \
        -borderwidth 1 -height 167 -width 212
        set hlist [.top17.tix33 subwidget hlist]
        $hlist configure  \
        -background pink -borderwidth 0 \
        -browsecmd {tixVTree:BrowseCmdHook .top17.tix33} \
        -command {tixVTree:CommandHook .top17.tix33} -drawbranch 1 \
        -font {Helvetica -18 bold} -highlightbackground #f4ddb2 \
        -highlightthickness 0 -indent 20 -indicator 1 \
        -indicatorcmd {tixVTree:IndicatorCmd .top17.tix33} \
        -itemtype imagetext -selectbackground #c3c3c3 \
        -selectforeground #ffffff \
        -sizecmd {tixScrolledWidget:Configure .top17.tix33} -wideselection 1 \
        -xscrollcommand {.top17.tix33.hsb set} \
        -yscrollcommand {.top17.tix33.vsb set}
    menu $base.m28 \
        -background wheat -cursor {} -disabledforeground #808080 \
        -font {helvetica 18} -foreground #000000 -selectcolor yellow
    menubutton $base.men28 \
        -background Wheat -borderwidth 0 -disabledforeground #808080 \
        -font {Helvetica -14 bold} -foreground #000000 \
        -highlightbackground ivory -menu "$base.men28.m" -padx 4 -pady 3 \
        -text Font
    menu $base.men28.m \
        -background wheat -cursor {} -disabledforeground #808080 \
        -font {helvetica 18} -foreground #000000 -selectcolor yellow
    $base.men28.m add checkbutton \
        -variable Courier -command {lambda : greeting("Courier")} \
        -label Courier
    $base.men28.m add checkbutton \
        -variable {Times Roman} -command {lambda : greeting("Times Roman")} \
        -label {Times Roman}
    $base.men28.m add checkbutton \
        -variable {Bodini Book} -command {lambda : greeting("Bodini Book")} \
        -label {Bodini Book}
    menubutton $base.men29 \
        -background wheat -borderwidth 0 -disabledforeground #808080 \
        -font {Helvetica -14 bold} -foreground #000000 \
        -highlightbackground ivory -menu "$base.men29.m" -padx 4 -pady 3 \
        -text IDE
    menu $base.men29.m \
        -background pink -disabledforeground #808080 -font {helvetica 18} \
        -foreground #000000 -selectcolor blue
    $base.men29.m add radiobutton \
        -value Emacs -command {lambda : greeting("Emacs")} -label Emacs
    $base.men29.m add radiobutton \
        -value IDLE -command {lambda : greeting("IDLE")} -label IDLE
    tixNoteBook $base.tix34 \
        -background wheat -height 213 -highlightbackground #d9d9d9 \
        -highlightcolor Black -width 335
    $base.tix34 add page1 \
        -anchor center -label {Page 1}
    $base.tix34 add page2 \
        -anchor center -label {Page 2}
    $base.tix34 add page3 \
        -anchor center -label {Page 3}
    $base.tix34 add page4 \
        -anchor center -label {Page 4}
    button $base.tix34.nbframe.page1.but36 \
        -background red -command quit -disabledforeground #808080 \
        -font {helvetica 18} -foreground #000000 -highlightbackground ivory \
        -padx 9 -pady 3 -text {So Long}
    place $base.tix34.nbframe.page1.but36 \
        -x 20 -y 65 -anchor nw -bordermode ignore
    button $base.tix34.nbframe.page2.but38 \
        -background green -command quit -disabledforeground #808080 \
        -font {helvetica 18} -foreground #000000 -highlightbackground ivory \
        -padx 9 -pady 3 -text {Good By}
    place $base.tix34.nbframe.page2.but38 \
        -x 230 -y 65 -anchor nw -bordermode ignore
    button $base.tix34.nbframe.page3.but39 \
        -activeforeground black -background Blue -command quit \
        -disabledforeground #808080 -font {helvetica 18} -foreground white \
        -highlightbackground ivory -padx 9 -pady 3 -text {Go Away}
    place $base.tix34.nbframe.page3.but39 \
        -x 210 -y 120 -anchor nw -bordermode ignore
    tixLabelFrame $base.tix34.nbframe.page4.tix30 \
        -label label-me -background wheat -borderwidth 2 \
        -highlightbackground #d9d9d9 -highlightcolor Black
    .top17.tix34.nbframe.page4.tix30.border.frame configure  \
        -background wheat -height 108 -highlightbackground ivory -width 309
    .top17.tix34.nbframe.page4.tix30.label configure  \
        -activebackground black -activeforeground #f4ddb2 -background wheat \
        -borderwidth 0 -font {helvetica 18} -foreground #000000 \
        -highlightbackground ivory -text {Progress Bar}
    tixMeter $base.tix34.nbframe.page4.tix30.border.frame.tix31 \
        -foreground Black -value .3 -background wheat -borderwidth 2 \
        -highlightbackground #d9d9d9 -highlightcolor Black -relief sunken \
        -width 150
    place $base.tix34.nbframe.page4.tix30.border.frame.tix31 \
        -x 130 -y 40 -anchor nw -bordermode ignore
    button $base.tix34.nbframe.page4.tix30.border.frame.but32 \
        -background wheat -command {lambda : run_demo()} \
        -disabledforeground #808080 -font {helvetica 18} -foreground #000000 \
        -highlightbackground ivory -padx 9 -pady 3 -text Demo
    place $base.tix34.nbframe.page4.tix30.border.frame.but32 \
        -x 10 -y 30 -anchor nw -bordermode ignore
    place $base.tix34.nbframe.page4.tix30 \
        -x 5 -y 5 -anchor nw -bordermode ignore
    tixScrolledText $base.tix35 \
        -background wheat -borderwidth 1 -height 141 \
        -highlightbackground #d9d9d9 -highlightcolor Black -width 254
        set text [.top17.tix35 subwidget text]
        $text configure  \
        -background wheat -font {helvetica 18} -highlightbackground ivory \
        -highlightthickness 2 -selectbackground #800000 \
        -selectforeground #ffffff -takefocus 1 -wrap none \
        -xscrollcommand {tixScrolledText:XScroll .top17.tix35} \
        -yscrollcommand {tixScrolledText:YScroll .top17.tix35}
    tixMeter $base.tix36 \
        -foreground Black -value .3 -background wheat -borderwidth 2 \
        -highlightbackground #d9d9d9 -highlightcolor Black -relief sunken \
        -width 150
    menubutton $base.men23 \
        -background Wheat -borderwidth 0 -disabledforeground #808080 \
        -font {Helvetica -14 bold} -foreground #000000 \
        -highlightbackground ivory -menu "$base.men23.m" -padx 4 -pady 3 \
        -text Help -underline 0
    menu $base.men23.m \
        -background Wheat -disabledforeground #808080 -font {helvetica 18} \
        -foreground #000000 -selectcolor yellow
    ###################
    # SETTING GEOMETRY
    ###################
    place $base.men18 \
        -x 5 -y 5 -anchor nw -bordermode ignore
    place $base.men17 \
        -x 50 -y 5 -anchor nw -bordermode ignore
    place $base.fra17 \
        -x 40 -y 80 -anchor nw -bordermode ignore
    place $base.fra17.but18 \
        -x 20 -y 20 -anchor nw -bordermode ignore
    place $base.lab17 \
        -x 25 -y 40 -anchor nw -bordermode ignore
    place $base.tex17 \
        -x 200 -y 50 -anchor nw -bordermode ignore
    place $base.ent17 \
        -x 50 -y 200 -anchor nw -bordermode ignore
    place $base.fra19 \
        -x 200 -y 240 -width 125 -height 115 -anchor nw -bordermode ignore
    place $base.fra19.rad20 \
        -x 5 -y 40 -anchor nw -bordermode ignore
    place $base.fra19.rad22 \
        -x 5 -y 75 -anchor nw -bordermode ignore
    place $base.fra19.lab19 \
        -x 10 -y 10 -anchor nw -bordermode ignore
    place $base.fra18 \
        -x 30 -y 245 -width 125 -height 110 -anchor nw -bordermode ignore
    place $base.fra18.che20 \
        -x 5 -y 40 -anchor nw -bordermode ignore
    place $base.fra18.che21 \
        -x 5 -y 75 -anchor nw -bordermode ignore
    place $base.fra18.lab22 \
        -x 5 -y 5 -anchor nw -bordermode ignore
    place $base.lis17 \
        -x 390 -y 50 -anchor nw -bordermode ignore
    place $base.sca17 \
        -x 380 -y 320 -anchor nw -bordermode ignore
    place $base.tix28 \
        -x 620 -y 40 -anchor nw -bordermode ignore
    place $base.tix29 \
        -x 410 -y 440 -anchor nw -bordermode ignore
    place $base.lab30 \
        -x 420 -y 400 -anchor nw -bordermode ignore
    place $base.tix31 \
        -x 50 -y 370 -anchor nw -bordermode ignore
    place $base.tix30 \
        -x 350 -y 280 -anchor nw -bordermode ignore
    place $base.tix32 \
        -x 50 -y 430 -anchor nw -bordermode ignore
    place $base.tix33 \
        -x 690 -y 300 -anchor nw -bordermode ignore
    place $base.men28 \
        -x 110 -y 5 -anchor nw -bordermode ignore
    place $base.men29 \
        -x 170 -y 5 -anchor nw -bordermode ignore
    place $base.tix34 \
        -x 40 -y 490 -anchor nw -bordermode ignore
    place $base.tix35 \
        -x 660 -y 530 -anchor nw -bordermode ignore
    place $base.tix36 \
        -x 710 -y 480 -anchor nw -bordermode ignore
    place $base.men23 \
        -x 870 -y 0 -anchor nw -bordermode ignore
}

Window show .
Window show .top17

main $argc $argv
