#############################################################################
# Visual Tcl v1.22 Project
#

#################################
# GLOBAL VARIABLES
#
global .top24.tix28;
global .top24.tix28.border.frame.tix29;
global .top24.tix28.border.frame.tix30;
global .top24.tix29;
global .top24.tix30;
global .top24.tix31;
global .top24.tix32;
global .top24.tix32.shell.slistbox;
global .top24.tix33;
global .top24.tix34;
global .top24.tix34.nbframe.page4.tix30;
global .top24.tix34.nbframe.page4.tix30.border.frame.tix31;
global .top24.tix35;
global .top24.tix36;
global Bodini Book;
global Courier;
global Times Roman;
global che20;
global che21;
global selectedButton;
global self.hello;
global self.tootsie;
global self.vu_file;
global widget;

proc append_python_attributes {str} {
    global vTcl
    if {[info exists vTcl(special_attributes)] == 1} {
        if {[lsearch $vTcl(special_attributes) $str] != -1} {
            return
        }
     }
    lappend vTcl(special_attributes) $str
}

set vTcl(w,opt,-loadcommand,.top17.tex17) "load_scrolled_text(self.tex17)"
append_python_attributes "vTcl(w,opt,-loadcommand,.top17.tex17)"
set vTcl(w,opt,-loadcommand,.top17.lis17) "load_listbox(self.lis17)"
append_python_attributes "vTcl(w,opt,-loadcommand,.top17.lis17)"
set vTcl(w,opt,-loadcommand,.top17.tix29.listbox) "load_listbox(self.tix29_listbox)"
append_python_attributes "vTcl(w,opt,-loadcommand,.top17.tix29.listbox)"
set vTcl(w,opt,-loadcommand,.top17.tix32) "load_listbox(self.tix32)"
append_python_attributes "vTcl(w,opt,-loadcommand,.top17.tix32)"
set vTcl(w,opt,-loadcommand,.top17.tix33) "load_tree(self.T1)"
append_python_attributes "vTcl(w,opt,-loadcommand,.top17.tix33)"
set vTcl(w,opt,-loadcommand,.top17.tix35) "load_scrolled_text(self.tix35_text)"
append_python_attributes "vTcl(w,opt,-loadcommand,.top17.tix35)"


#################################
# USER DEFINED PROCEDURES
#

proc {append_python_attributes} {str} {
global vTcl
    if {[info exists vTcl(special_attributes)] == 1} {
        if {[lsearch $vTcl(special_attributes) $str] != -1} {
            return
        }
     }
    lappend vTcl(special_attributes) $str
}

proc {greeting} {} {
def greeting(str):
    import Dialog
    Dialog.Dialog(title="greetings",
                text=str,
                bitmap="",default=0,strings=("cont",))
}

proc {list_handler} {} {
def list_handler(self, x):
      index = self.tix29_listbox.curselection()
      greeting(index)
}

proc {list_handler_2} {} {
def list_handler_2(self, x):
      index = self.list_x.curselection()
      greeting(index)
}

proc {load_listbox} {} {
def load_listbox(o):
    for i in range(50):
        o.insert(END, i)
}

proc {load_scrolled_text} {} {
def load_scrolled_text(o):
    o.insert(END, "\n1. This is a long bit of text that I want to put inside" + " this text box.")
    o.insert(END, "\n2. This is a long bit of text that I want to put inside" + " this text box.")
    o.insert(END, "\n3. This is a long bit of text that I want to put inside" + " this text box.")
    o.insert(END, "\n4. This is a long bit of text that I want to put inside" + " this text box.")
    o.insert(END, "\n5. This is a long bit of text that I want to put inside" + " this text box.")
    o.insert(END, "\n6. This is a long bit of text that I want to put inside" + " this text box.")
    o.insert(END, "\n7. This is a long bit of text that I want to put inside" + " this text box.")
    o.insert(END, "\n8. This is a long bit of text that I want to put inside" + " this text box.")
    o.insert(END, "\n9. This is a long bit of text that I want to put inside" + " this text box.")
    o.insert(END, "\n0. This is a long bit of text that I want to put inside" + " this text box.")
}

proc {load_tree} {} {
def load_tree(o):
    o.configure(separator="/")
    o.add("/",text="/")
    o.add("/home",text="home")
    o.add("/home/ioi",text="ioi")
    o.add("/home/foo",text="foo")
    o.add("/usr",text="usr")
    o.add("/usr/lib",text="lib")
    o.add("/home/rozen", text="rozen")
    o.add("/home/rozen/pkg", text="pkg")
    o.add("/home/rozen/pkg/PyTix", text="PyTix")
    o.add("/home/rozen/vp", text="vp")
    o.add("/home/rozen/vp/lib", text='lib')
    o.add("/usr/bin", text='bin')
    o.add("/usr/man", text='man')
}

proc {open_file} {} {
def open_file():
    import tkFileDialog
    tkFileDialog.askopenfilename(filetypes=[("all files", "*")])
}

proc {quit} {} {
def quit():
    root.destroy()
}

proc {quit_a} {} {
def quit_a(event):
       print 'quit_a: ' + event.type
       quit()
}

proc {run_demo} {} {
def run_demo():
    import time
    for i in range(20):
        x = (5.0 * (i+1)) /100
        print "str(x) =", str(x)
        w.tix34_nbframe_page4_tix30_border_frame_tix31.configure(value=str(x))
        w.tix34.update_idletasks()
        time.sleep(.3)
}

proc {tree_browse} {} {
def tree_browse(x):
    greeting(str(x))
}

proc {vp_start_gui} {} {
def vp_start_gui():
    global w
    root.title('New_Toplevel_1')
}

proc {main} {argc argv} {

}

proc {Window} {args} {
global vTcl
    set cmd [lindex $args 0]
    set name [lindex $args 1]
    set newname [lindex $args 2]
    set rest [lrange $args 3 end]
#puts "Window: cmd = $cmd"
#puts "        name = $name"
#puts "        newname = $newname"
#puts "        rest = $rest"
    if {$name == "" || $cmd == ""} {return}
    if {$newname == ""} {
        set newname $name
    }
    set exists [winfo exists $newname]
    switch $cmd {
        show {
            if {$exists == "1" && $name != "."} {wm deiconify $name; return}
            if {[info procs vTclWindow(pre)$name] != ""} {
                eval "vTclWindow(pre)$name $newname $rest"
            }
            if {[info procs vTclWindow$name] != ""} {
                eval "vTclWindow$name $newname $rest"
            }
            if {[info procs vTclWindow(post)$name] != ""} {
                eval "vTclWindow(post)$name $newname $rest"
            }
        }
        hide    { if $exists {wm withdraw $newname; return} }
        iconify { if $exists {wm iconify $newname; return} }
        destroy { if $exists {destroy $newname; return} }
    }
}

proc init {argc argv} {
def init():
    pass
}

#################################
# VTCL GENERATED GUI PROCEDURES
#

proc vTclWindow. {base {container 0}} {
    if {$base == ""} {
        set base .
    }
    ###################
    # CREATING WIDGETS
    ###################
    if {!$container} {
    wm focusmodel $base passive
    wm geometry $base 1x1+0+0
    wm maxsize $base 1009 738
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm withdraw $base
    wm title $base "page.tcl"
    }
    ###################
    # SETTING GEOMETRY
    ###################
}

proc vTclWindow.top24 {base {container 0}} {
    if {$base == ""} {
        set base .top24
    }
    if {[winfo exists $base] && (!$container)} {
        wm deiconify $base; return
    }
    ###################
    # CREATING WIDGETS
    ###################
    if {!$container} {
    toplevel $base -class Toplevel \
        -menu .top24.menubar
    wm focusmodel $base passive
    wm geometry $base 934x736+85+23
    wm maxsize $base 1265 994
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm deiconify $base
    wm title $base "New_Toplevel_1"
    }
    frame $base.menubar \
        -borderwidth 2 -relief raised
    menubutton $base.menubar.men18 \
        -menu .top24.menubar.men18.m1 -padx 4 -pady 3 -text File -underline 0
    menu $base.menubar.men18.m1
    $base.menubar.men18.m1 add command \
        -command open_file -label Open -underline 0
    $base.menubar.men18.m1 add command \
        -command {lambda :greeting("close")} -label Close -underline 0
    $base.menubar.men18.m1 add command \
        -command quit -label Exit -underline 0
    menubutton $base.menubar.men17 \
        -menu .top24.menubar.men17.m2 -padx 4 -pady 3 -text Edit -underline 0
    menu $base.menubar.men17.m2
    $base.menubar.men17.m2 add command \
        -command lambda:greeting(\"Cut\") -label Cut -underline 0
    $base.menubar.men17.m2 add command \
        -command {lambda :greeting("Paste")} -label Paste -underline 0
    $base.menubar.men17.m2 add command \
        -command {lambda : greeting("Copy")} -label Copy -underline 0
    $base.menubar.men17.m2 add cascade \
        -menu menubar.men17.m2.cas2 -label Advanced
    $base.menubar.men17.m2 add command \
        -command {lambda : greeting("Delete")} -label Delete -underline 0
    menu $base.menubar.men17.m2.cas2
    $base.menubar.men17.m2.cas2 add command \
        -command {lambda :greeting("ToUpper")} -label ToUpper -underline 0
    $base.menubar.men17.m2.cas2 add command \
        -command {lambda : greeting("ToLower")} -label ToLower -underline 0
    menubutton $base.menubar.men28 \
        -menu .top24.menubar.men28.m3 -padx 4 -pady 3 -text Font -underline 0
    menu $base.menubar.men28.m3
    $base.menubar.men28.m3 add checkbutton \
        -variable Courier -command {lambda : greeting("Courier")} \
        -label Courier
    $base.menubar.men28.m3 add checkbutton \
        -variable {Times Roman} -command {lambda : greeting("Times Roman")} \
        -label {Times Roman}
    $base.menubar.men28.m3 add checkbutton \
        -variable {Bodini Book} -command {lambda : greeting("Bodini Book")} \
        -label {Bodini Book}
    menubutton $base.menubar.men29 \
        -menu .top24.menubar.men29.m4 -padx 4 -pady 3 -text IDE -underline 0
    menu $base.menubar.men29.m4
    $base.menubar.men29.m4 add radiobutton \
        -value Emacs -command {lambda : greeting("Emacs")} -label Emacs
    $base.menubar.men29.m4 add radiobutton \
        -value IDLE -command {lambda : greeting("IDLE")} -label IDLE
    menubutton $base.menubar.men23 \
        -menu .top24.menubar.men23.m5 -padx 4 -pady 3 -text Help -underline 0
    menu $base.menubar.men23.m5
    frame $base.fra17 \
        -borderwidth 2 -height 75 -relief groove -width 125
    button $base.fra17.but18 \
        -command quit -text Quit
    label $base.lab17 \
        -borderwidth 1 -relief raised -text {Don's Demo}
    text $base.tex17 \
        -height 8 -width 20
    entry $base.ent17 \
         -textvariable self.hello -width 35
    bind $base.ent17 q {
        lambda e: greeting('q')
    }
    frame $base.fra19 \
        -borderwidth 4 -height 115 -relief groove -width 125
    radiobutton $base.fra19.rad20 \
        -command {lambda : greeting("Radio 2 ")} -selectcolor red \
        -text {radio 1}
    radiobutton $base.fra19.rad22 \
        -command {lambda : greeting("Radio 2 ")} -selectcolor red \
        -text {radio 2} -value 2
    label $base.fra19.lab19 \
        -borderwidth 1 -text {Radio Buttons}
    frame $base.fra18 \
        -borderwidth 4 -height 110 -relief groove -width 125
    checkbutton $base.fra18.che20 \
        -command {lambda :greeting("Check Button 1")} -selectcolor blue \
        -text {check 1} -variable che20
    checkbutton $base.fra18.che21 \
        -command {lambda :greeting("Check Button 2")} -selectcolor blue \
        -text {check 2} -variable che21
    label $base.fra18.lab22 \
        -borderwidth 1 -text {Check Buttons}
    listbox $base.lis17 \
        -relief raised
    bind $base.lis17 <Button-3> {
        lambda e: quit_a(e)
    }
    bind $base.lis17 <Double-Button-1> {
        self.list_handler
    }
    scale $base.sca17 \
        -length 271 -orient horizontal -tickinterval 10.0 \
        -variable self.tootsie
    tixLabelFrame $base.tix28 \
        -label {Outside Frame}
    .top24.tix28.border.frame configure  \
        -height 200 -width 150
    .top24.tix28.label configure  \
        -relief sunken -text {Outside Frame}
    tixLabelFrame $base.tix28.border.frame.tix29 \
        -label {Frame A}
    .top24.tix28.border.frame.tix29.border.frame configure  \
        -height 30 -width 30
    .top24.tix28.border.frame.tix29.label configure  \
        -text {Frame A}
    place $base.tix28.border.frame.tix29 \
        -x 10 -y 125 -anchor nw
    tixLabelFrame $base.tix28.border.frame.tix30 \
        -label {Frame B}
    .top24.tix28.border.frame.tix30.border.frame configure  \
        -height 44 -width 105
    .top24.tix28.border.frame.tix30.label configure  \
        -text {Frame B}
    button $base.tix28.border.frame.tix30.border.frame.but29 \
        -command quit -text exit
    place $base.tix28.border.frame.tix30.border.frame.but29 \
        -x 5 -y 0 -anchor nw
    place $base.tix28.border.frame.tix30 \
        -x 20 -y 25 -anchor nw
    tixScrolledListBox $base.tix29
    bind $base.tix29 <FocusIn> {
        focus .top24.tix29.listbox
    }
        set listbox [.top24.tix29 subwidget listbox]
        $listbox configure  
    label $base.lab30 \
        -borderwidth 1 -relief raised -text TixScrolledListBox -width 17
    tixOptionMenu $base.tix31 \
        -value z_3 -label {OptionMenu: }
    $base.tix31 add command z_3 \
        -label {Option 1} -underline 0
    $base.tix31 add command z_4 \
        -label {Option 2} -underline 0
    $base.tix31 add separator z_5
    tixLabelEntry $base.tix30 \
        -label LabelEntry:
    .top24.tix30.label configure  \
        -text LabelEntry:
    .top24.tix30.frame.entry configure  \
        -textvariable self.vu_file -width 5
    tixComboBox $base.tix32 \
        -dropdown 1 -editable 0 -fancy 0 -history 0 -prunehistory 1
    tixTree $base.tix33 \
        -browsecmd {lambda entry=None: tree_browse(entry)} -ignoreinvoke 0 \
        -height 167 -width 212
        set hlist [.top24.tix33 subwidget hlist]
        $hlist configure  \
        -borderwidth 0 \
        -browsecmd {tixVTree:BrowseCmdHook .top24.tix33} \
        -command {tixVTree:CommandHook .top24.tix33} -highlightthickness 0 \
        -indicatorcmd {tixVTree:IndicatorCmd .top24.tix33} \
        -sizecmd {tixScrolledWidget:Configure .top24.tix33} -wideselection 1
    tixNoteBook $base.tix34 \
        -height 213 -width 335
    $base.tix34 add page1 \
        -anchor center -label {Page 1}
    $base.tix34 add page2 \
        -anchor center -label {Page 2}
    $base.tix34 add page3 \
        -anchor center -label {Page 3}
    $base.tix34 add page4 \
        -anchor center -label {Page 4}
    button $base.tix34.nbframe.page1.but36 \
        -command quit -text {So Long}
    place $base.tix34.nbframe.page1.but36 \
        -x 20 -y 65 -anchor nw
    button $base.tix34.nbframe.page2.but38 \
        -command quit -text {Good By}
    place $base.tix34.nbframe.page2.but38 \
        -x 230 -y 65 -anchor nw
    button $base.tix34.nbframe.page3.but39 \
        -command quit -text {Go Away}
    place $base.tix34.nbframe.page3.but39 \
        -x 210 -y 120 -anchor nw
    tixLabelFrame $base.tix34.nbframe.page4.tix30 \
        -label label-me
    .top24.tix34.nbframe.page4.tix30.border.frame configure  \
        -height 108 -width 309
    .top24.tix34.nbframe.page4.tix30.label configure  \
        -text {Progress Bar}
    tixMeter $base.tix34.nbframe.page4.tix30.border.frame.tix31 \
        -value .3
    place $base.tix34.nbframe.page4.tix30.border.frame.tix31 \
        -x 130 -y 40 -anchor nw
    button $base.tix34.nbframe.page4.tix30.border.frame.but32 \
        -command {lambda : run_demo()} -text Demo
    place $base.tix34.nbframe.page4.tix30.border.frame.but32 \
        -x 10 -y 30 -anchor nw
    place $base.tix34.nbframe.page4.tix30 \
        -x 5 -y 5 -anchor nw
    tixScrolledText $base.tix35 \
        -borderwidth 1 -height 141 -width 254
        set text [.top24.tix35 subwidget text]
        $text configure  \
        -takefocus 1 -wrap none
    tixMeter $base.tix36 \
        -value .3
    ###################
    # SETTING GEOMETRY
    ###################
    pack $base.menubar \
        -in $base -anchor center -expand 0 -fill x -side top
    pack $base.menubar.men18 \
        -in $base.menubar -anchor center -expand 0 -fill none -side left
    pack $base.menubar.men17 \
        -in $base.menubar -anchor center -expand 0 -fill none -side left
    pack $base.menubar.men28 \
        -in $base.menubar -anchor center -expand 0 -fill none -side left
    pack $base.menubar.men29 \
        -in $base.menubar -anchor center -expand 0 -fill none -side left
    pack $base.menubar.men23 \
        -in $base.menubar -anchor center -expand 0 -fill none -side right
    place $base.fra17 \
        -x 40 -y 80 -anchor nw
    place $base.fra17.but18 \
        -x 20 -y 20 -anchor nw
    place $base.lab17 \
        -x 25 -y 40 -anchor nw
    place $base.tex17 \
        -x 200 -y 50 -anchor nw
    place $base.ent17 \
        -x 50 -y 200 -anchor nw
    place $base.fra19 \
        -x 200 -y 240 -anchor nw
    place $base.fra19.rad20 \
        -x 5 -y 40 -anchor nw
    place $base.fra19.rad22 \
        -x 5 -y 75 -anchor nw
    place $base.fra19.lab19 \
        -x 10 -y 10 -anchor nw
    place $base.fra18 \
        -x 30 -y 245 -anchor nw
    place $base.fra18.che20 \
        -x 5 -y 40 -anchor nw
    place $base.fra18.che21 \
        -x 5 -y 75 -anchor nw
    place $base.fra18.lab22 \
        -x 5 -y 5 -anchor nw
    place $base.lis17 \
        -x 390 -y 50 -anchor nw
    place $base.sca17 \
        -x 380 -y 320 -anchor nw
    place $base.tix28 \
        -x 620 -y 40 -anchor nw
    place $base.tix29 \
        -x 410 -y 440 -anchor nw
    place $base.lab30 \
        -x 420 -y 400 -anchor nw
    place $base.tix31 \
        -x 50 -y 370 -anchor nw
    place $base.tix30 \
        -x 350 -y 280 -anchor nw
    place $base.tix32 \
        -x 50 -y 430 -anchor nw
    place $base.tix33 \
        -x 690 -y 300 -anchor nw
    place $base.tix34 \
        -x 40 -y 490 -anchor nw
    place $base.tix35 \
        -x 660 -y 530 -anchor nw
    place $base.tix36 \
        -x 710 -y 480 -anchor nw
}

Window show .
Window show .top24

main $argc $argv
