from __future__ import nested_scopes

import unittest
from rpy import *
import sys


class BooleanTestCase(unittest.TestCase):

    def testTRUE(self):
        self.failUnless(r.typeof(r.TRUE) == 'logical' and
                        r.as_logical(r.TRUE))

    def testFALSE(self):
        self.failUnless(r.typeof(r.FALSE) == 'logical' and
                        not r.as_logical(r.FALSE))

if __name__ == '__main__':
    unittest.main()
