from __future__ import nested_scopes

import unittest
from rpy import *
import sys
import os
import signal

class SigintTestCase(unittest.TestCase):
            
    def testSigint(self):
        self.failUnlessRaises(KeyboardInterrupt,
                              lambda: os.kill(os.getpid(),
                                              signal.SIGINT))

if __name__ == '__main__':
    unittest.main()
