#
# colors.py
#

import fb

def main():
    f = fb.FrameBuffer()
    f.open(100, 100, 'Intensity')

    red = (255, 0, 0)
    green = (0, 255, 0)
    blue = (0, 0, 255)
    finished = 0

    while not finished:
        f.clear()
        f.flip()
        
        event = f.event()

        if event[0] == 'keyboard':
            if event[1] == 'r':
                f.bg = red
            elif event[1] == 'g':
                f.bg = green
            elif event[1] == 'b':
                f.bg = blue
        elif event[0] == 'quit':
            finished = 1

    f.close()

if __name__ == '__main__':
    main()
    
            
                
