#
# setup.py
#

from distutils.core import setup, Extension
import commands
import string

# ugly check

s = commands.getoutput('sdl-config --version')

if s[0] in string.digits:
  inc = commands.getoutput('sdl-config --cflags')
  lib = commands.getoutput('sdl-config --libs')
else:
  print 'Sorry, SDL needs to be installed before installing this'
  print 'extension. If you are wondering how I can determine that'
  print 'SDL is not installed, it is because the command'
  print
  print '  sdl-config --version'
  print
  print 'returns'
  print
  print ' ', s
  print
  print 'and not a string beginning with a digit (e.g. "1.2.0").'
  import sys
  sys.exit(1)

setup(name = "fb", 
      version = "1.1",
      author = "David Pettersson",
      author_email = "dave@whatever.nu",
      url = "http://dave.whatever.nu/python/fb",
      py_modules = [ "fb" ],
      ext_modules = [ Extension("cfb", 
                                [ "cfb.c" ],
                                include_dirs = [ inc ],
                                library_dirs = [ lib ],
                                libraries = [ "SDL" ])
                    ]
     )



