import _winreg
import sys
import os.path
import shutil
import tkMessageBox

key = "Software\Microsoft\Windows\CurrentVersion\App Paths"
file = "tclsh.exe"


x=_winreg.ConnectRegistry(None,_winreg.HKEY_LOCAL_MACHINE);
y= _winreg.OpenKey(x,key+"\\"+file);

tcl_path_tuple = _winreg.QueryValueEx(y,"path")
tcl_path = tcl_path_tuple[0]
python_path = sys.prefix

OK = tkMessageBox.askokcancel(
    "Move Tix to Python",
    "Tix files will now be moved from %s to %s." % (tcl_path, python_path),
    default=tkMessageBox.OK)

if not OK:
    sys.exit()


for dll in ['\\tix8183.dll']: # , '\\tixdde83.dll', '\\tixreg83.dll']:
    src_file = tcl_path + dll
    dest_file = python_path + dll
    shutil.copyfile(src_file, dest_file)

# Remove the \bin from tcl_path
src_dir = os.path.dirname(tcl_path) + '\\lib\\tix8.1'
dest_dir = python_path + '\\tcl\\tix8.1'
if os.path.exists(dest_dir):
    shutil.rmtree(dest_dir)
shutil.copytree(src_dir, dest_dir)
