#!/bin/sh -x
rm -f *.o *.so
root=`python -c 'import sys; print sys.prefix'`
ver=`python -c 'import sys; print sys.version[:3]'`
PYINCDIR=$root/include/python$ver
PYLIBDIR=$root/lib/python$ver/config
PYLIB=libpython$ver.a

c++ -fPIC PWOBase.cpp PWOImp.cpp -rdynamic -shared -I. -I$PYINCDIR $PYLIBDIR/$PYLIB -ldl -lm -lpthread -lutil -o frobit.so

# modify this explicit install if necessary:
cp frobit.so $root/lib
#cp frobit.so $HOME/install/lib/python
